> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # GetCallListDetails POST https://api.voximplant.com/platform_api/GetCallListDetails Gets details of the specified call list. Returns a CSV file by default. Allowed roles: `Owner`, `Admin`, `Developer`, `Call list manager`, `sys.Admin read only`. **Example request:** Get all lists registered by user. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/call-lists/get-call-list-details ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `list_id` (integer, required) — The list ID - `count` (integer, optional) — Maximum number of entries in the result - `offset` (integer, optional) — The first **N** records are skipped in the output - `output` (string, optional, default: csv) — The output format. The following values available: **json**, **csv**, **xls**. The default value is **csv** - `encoding` (string, optional) — Encoding of the output file. Default UTF-8 - `delimiter` (string, optional) — Separator values. The default value is ';' - `batch_id` (string, optional) — Batch UUID to filter the tasks ## Response ### 200 Successful response - `result` (list of CallListDetailType, optional) — Array of tasks for the roll call - `count` (integer, optional) — The number of tasks ## Types ### CallListDetailType Detailing job telephone calls. - `list_id` (integer, optional) — The list ID - `custom_data` (string, optional) — Data for transmission to the script - `start_execution_time` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. Time with which to start the job in 24-h format: HH:mm:ss - `finish_execution_time` (string, optional) — Timestamp in YYYY-MM-DD HH:mm:ss format. Time after which the task cannot be performed in 24-h format: HH:mm:ss - `result_data` (string, optional) — Results of the task, if it is granted, or information about the runtime error - `last_attempt` (string, optional) — Date and time of the last attempt to perform a task - `attempts_left` (integer, optional) — Number of remaining attempts - `status_id` (integer, optional) — The status ID. The possible values are __0__ (status = New), __1__ (status = In progress), __2__ (status = Processed), __3__ (status = Error), __4__ (status = Canceled) - `status` (string, optional) — The status name. The possible values are __New__ (status_id = 0), __In progress__ (status_id = 1), __Processed__ (status_id = 2), __Error__ (status_id = 3), __Canceled__ (status_id = 4) - `task_id` (integer, optional) — The call list task ID - `task_uuid` (string, optional) — The call list task UUID ## Examples **Request** ```json {} ``` **Response** ```json { "result": [ { "list_id": 452, "custom_data": "{\"first_name\":\"John\",\"phone\":\"+14155552671\",\"age\":\"34\",\"last_name\":\"Doe\"}", "start_execution_time": "2024-06-01 09:00:00", "finish_execution_time": "2024-06-01 17:00:00", "result_data": "Call completed successfully", "last_attempt": "2024-06-01 10:15:23", "attempts_left": 1, "status_id": 2, "status": "Processed", "task_id": 98765, "task_uuid": "d4e5f6a7-b8c9-4d0e-9f1a-2b3c4d5e6f70" } ], "count": 1 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/GetCallListDetails" querystring = {"list_id":"452","count":"50","offset":"0","output":"csv","encoding":"UTF-8","delimiter":";","batch_id":"a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetCallListDetails?list_id=452&count=50&offset=0&output=csv&encoding=UTF-8&delimiter=%3B&batch_id=a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```